Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	GNU perfect hash generator
Name:      	gperf
Version:   	3.0.3
Release:   	1
License:   	GNU/GPL
URL:	   	http://www.gnu.org/software/gperf/gperf.html
Group:     	Development/Other
Source0:   	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
Prereq(post,preun): /sbin/install-info


%description
GNU gperf is a perfect hash function generator. For a given list of strings, it produces a hash function and hash table, in form of C or C++ code, for looking up a value depending on the input string. The hash function is perfect, which means that the hash table has no collisions, and the hash table lookup needs a single string comparison only.
GNU gperf is highly customizable. There are options for generating C or C++ code, for emitting switch statements or nested ifs instead of a hash table, and for tuning the algorithm employed by gperf.

%post
ldconfig
/sbin/install-info %_infodir/gperf.info.gz %_infodir/dir
 
%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --del %_infodir/gperf.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_bindir
%_infodir/gperf.info.gz
%_mandir
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.3-1
- Version update
* Wed Nov 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.2-1
- Initial Release
